# Uses of Class
javafx.scene.control.TitledPane

Packages that use TitledPane
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TitledPane in javafx.scene.control

Methods in javafx.scene.control that return TitledPane
Modifier and Type
Method
Description
`final TitledPane`
Accordion.`getExpandedPane()`
Gets the expanded TitledPane in the Accordion.
Methods in javafx.scene.control that return types with arguments of type TitledPane
Modifier and Type
Method
Description
`final ObjectProperty<TitledPane>`
Accordion.`expandedPaneProperty()`
The expanded TitledPane in the Accordion.
`final ObservableList<TitledPane>`
Accordion.`getPanes()`
Gets the list of `TitledPane` in this Accordion.
Methods in javafx.scene.control with parameters of type TitledPane
Modifier and Type
Method
Description
`final void`
Accordion.`setExpandedPane(TitledPane value)`
The expanded `TitledPane` that is currently visible.
Constructors in javafx.scene.control with parameters of type TitledPane
Modifier
Constructor
Description
``
`Accordion(TitledPane... titledPanes)`
Creates a new Accordion with the given TitledPanes showing within it.

## Uses of TitledPane in javafx.scene.control.skin

Constructors in javafx.scene.control.skin with parameters of type TitledPane
Modifier
Constructor
Description
``
`TitledPaneSkin(TitledPane control)`
Creates a new TitledPaneSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.